{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
       
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Perhubungan</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <a href="{% url 'profile:admin_perhubungan_create' %}"> 
        <button type="button" class="btn btn-primary mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Perhubungan</button>
    </a>
    <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_datapu"><i class="bi bi-trash"></i> Data Perhubungan Diarsipkan</button>
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary text-white">
            <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Perhubungan</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-primary text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <td class="text-center">Wilayah</td>
                        <td class="text-center">Tanggal Input</td>
                        <td class="text-center">Jumlah Halte</td>
                        <td class="text-center">Jumlah Terminal</td>
                        <td class="text-center">Dermaga</td>
                        <td class="text-center">Tambatan Perahu</td>
                        <td class="text-center">Kondisi</td>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for data_perhubungan in data_perhubungan_list %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td class="tdx"><b>{{data_perhubungan.kampung.distrik.title}} </b> <br><i>{{data_perhubungan.kampung.titles}}</i> </td>
                                <td><p style="font-size: 12px;">{{data_perhubungan.create_date}}</p> </td>
                                <td>{{data_perhubungan.jml_halte}} Halte </td>
                                <td>{{data_perhubungan.jml_terminal}} Terminal</td>
                                <td>{{data_perhubungan.jml_dermaga}} Dermaga</td>
                                <td>{{data_perhubungan.jml_tambatan_perahu}} Tambatan Perahu</td>
                                <td>
                                    Kondisi Dermaga         : {{data_perhubungan.kondisi_dermaga}}<br>
                                    Kondisi Tambatan Perahu : {{data_perhubungan.kondisi_tambatan_perahu}}
                                </td>
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                       
                                        <button class="btn btn-primary btn-circle mr-3 mb-2" data-toggle="modal" data-target="#viewbukti-{{data_perhubungan.id}}"><span class="bi bi-image-fill"></span></button>
                                       
                                        <div class="modal fade " id="viewbukti-{{data_perhubungan.id}}"  role="dialog" aria-labelledby="viewbukti-{{data_perhubungan.id}}" aria-hidden="true">
                                            <div class="modal-dialog modal-xl" role="document">
                                                <div class="modal-content ">
                                                    <div class="modal-header bg-gradient-primary text-white">
                                                        <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> View Bukti</h5>
                                                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                        
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="row align-items-center">
                                                            <div class="col-md-2"></div>
                                                            <div class="col-md-5">
                                                                <label for="">Bukti Foto Halte</label><br>
                                                                <img src="{{data_perhubungan.foto_halte.url}}" width="200">
                                                            </div>
                                                            <div class="col-md-5">
                                                                <label for="">Bukti Foto Terminal</label><br>
                                                                <img src="{{data_perhubungan.foto_terminal.url}}" width="200">
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-md-2"></div>
                                                            <div class="col-md-5">
                                                                <label for="">Bukti Foto Dermaga</label><br>
                                                                <img src="{{data_perhubungan.foto_dermaga.url}}" width="200">
                                                            </div>
                                                            <div class="col-md-5">
                                                                <label for="">Bukti Foto Tambatan Perahu</label><br>
                                                                <img src="{{data_perhubungan.foto_tambatan_perahu.url}}" width="200">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <a class="btn btn-success btn-circle mr-3 mb-2" 
                                            href="#"
                                            data-toggle="tooltip" data-placement="top" title="Edit">
                                            <i class="bi bi-pencil"></i>
                                        </a>
                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ data_perhubungan.jml_bts }}`, '{{ data_perhubungan.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    {% include 'profile/admin/perhubungan/arsip.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/perhubungan/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/perhubungan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/perhubungan/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/perhubungan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}